List files
curl --request GET \
--url https://api.rootkey.ai/api-v1/platform/files \
--header 'x-api-key: <api-key>'import requests
url = "https://api.rootkey.ai/api-v1/platform/files"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.rootkey.ai/api-v1/platform/files', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"chainId": 137,
"files": {
"data": [
{
"id": "<string>",
"parentId": "<string>",
"versionsNumber": 123,
"name": "brand_guidelines.pdf",
"sizeBytes": 123,
"extension": "PDF",
"lastValidateAt": "2023-11-07T05:31:56Z",
"integrity": 123,
"url": "<string>",
"isTest": true,
"createdAt": "2023-11-07T05:31:56Z",
"hash": "<string>",
"ipAddress": "<string>",
"userAgent": "<string>",
"createdBy": {
"name": "<string>",
"email": "<string>"
},
"vault": {
"name": "Marketing Assets",
"address": "<string>"
}
}
],
"pagination": {
"previousCursor": "<string>",
"nextCursor": "<string>"
},
"metadata": {
"fetchedCount": 123,
"totalCount": 123,
"serverTimestamp": "2023-11-07T05:31:56Z",
"parameters": {
"limit": 123,
"cursor": "<string>"
},
"registered": 123,
"pending": 123,
"error": 123,
"totalSizeBytes": 123,
"last24hCount": 123
}
}
}{
"error": {
"requestId": "<string>",
"message": "<string>",
"errorCode": "<string>",
"docUrl": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"error": {
"requestId": "<string>",
"message": "<string>",
"errorCode": "<string>",
"docUrl": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}Files
List files
GET
/
platform
/
files
List files
Authorizations
ROOTKey API key (rk_live_... for production, rk_test_... for the test network).
Query Parameters
Blockchain address of the vault to list files from
Cursor from the previous page (ISO createdAt of the last item)
Available options:
asc, desc Filter by file name
Filter by anchoring status
Available options:
pending, registered, error Was this page helpful?
⌘I

